%define release 1mdk
%define name bayonne
%define version 1.2.8
%define _dsopath %_libdir/bayonne/%{version}

%define major 0
%define libname %mklibname %{name}rpc %major
%define libnamedev %mklibname %{name}rpc %major -d

Summary: Bayonne - the telephony server of the GNU project
Name: bayonne
Version: %{version}
Release: %{release}
Group: Communications
Source: %{name}-%{version}.tar.bz2
Prefix: %{_prefix}
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://www.gnu.org/software/bayonne/
PreReq: rpm-helper
Buildrequires: libCommonC++-devel libccaudio-devel
Buildrequires: libccrtp-devel libccscript-devel perl-devel

%description
Bayonne offers a script programmable modular server for deploying
multi-line telephony voice response and computer telephony applications.

%package devel
Summary: Bayonne - header files
Group: Development/C

%description devel
Bayonne header files

%package -n %libname
Summary: Bayonne bindings and libs for sun rpc services
Group: Communications

%description -n %libname
This provides sunrpc services for use with a Bayonne server.

%package -n %libnamedev
Summary: Bayonne rpc services devel files
Group: Development/C
Requires: %libname = %version
Provides: libbayonnerpc-devel

%description -n %libnamedev
Bayonne rpc services devel files

%package UsEngF
Summary: Bayonne-UsEngM - voice library for US English Female speaker
Group: Communications
Requires: bayonne

%description UsEngF
The US English "female" speaker library offers default voice prompts
for the Bayonne telephony server.

%package UsEngM
Summary: Bayonne-UsEngM - voice library for US English Male speaker
Group: Communications
Requires: bayonne

%description UsEngM
The US English "male" speaker library offers default voice prompts
for the Bayonne telephony server.

Group: Communications
Requires: bayonne

%prep
rm -rf $RPM_BUILD_ROOT

%setup

# NOTE: in Common C++, compiler options are retreived from config.def
# and should not be overriden here!

./configure --prefix=%{_prefix} --without-openh323 

%build

make

%install
mkdir -p $RPM_BUILD_ROOT/var/bayonne
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_mandir}/man3
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/sysconfig/%name
make prefix=$RPM_BUILD_ROOT/%{_prefix} \
        mandir=$RPM_BUILD_ROOT/%{_mandir} etc_prefix=$RPM_BUILD_ROOT/etc/bayonne \
	ini_prefix=$RPM_BUILD_ROOT/etc etc_suffix="" install


%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO THANKS ChangeLog BAYONNE.FAQ
%config(noreplace) %attr(0644,root,root) %_sysconfdir/sysconfig/bayonne
%config(noreplace) %attr(0644,root,root) %_sysconfdir/%name
#%config(noreplace) %attr(0644,root,root) %_sysconfdir/bayonne.sched
%config(noreplace)%_initrddir/bayonne


%dir %{_dsopath}

%_sbindir/*
%_prefix/libexec/%name
%_datadir/%name/admin
%_datadir/%name/sys

%_datadir/%name/*.scr
%_datadir/%name/*.mod
%_datadir/%name/bts*

%_mandir/man8/*

%{_dsopath}/*

%attr(-,bayonne,bayonne) /var/bayonne

%files devel
%defattr (-,root,root)
%_includedir/cc++/*

%files -n %libname
%defattr(-,root,root)
%doc COPYING
%_libdir/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/*.*a
%_libdir/*.so
%_includedir/rpcsvc

%files UsEngF
%defattr(-,root,root)
%_datadir/%name/UsEngF

%files UsEngM
%defattr(-,root,root)
%_datadir/%name/UsEngM

%clean
rm -rf $RPM_BUILD_ROOT

%pre
grep '^bayonne:' /etc/passwd >/dev/null || /usr/sbin/adduser -r bayonne

%post 
/sbin/chkconfig --add bayonne
%_post_service bayonne

%preun 
/sbin/chkconfig --del bayonne
%_preun_service bayonne

%changelog
* Wed Oct 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-1mdk
- 1.2.8

* Sun Apr 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.11-2mdk
- adjust buildrequires

* Tue Mar 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.11-1mdk
- back
- add new packages ( lang )
- fix install
- use mklibname

* Thu Apr 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0

* Tue Feb 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Mon Dec 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-2mdk
- fix requires

* Thu Nov 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Tue Nov 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1
- clean spec

* Fri Sep 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-2mdk
- rebuild against new libCommonC++

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- updated to 0.6.4

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.12-1mdk
- updated to 0.5.12

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.11-1mdk
- updated to 0.5.11

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.8-1mdk 
- updated to 0.5.8

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.7-1mdk
- updated to 0.5.7

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-1mdk 
- updated to 0.5.6

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-1mdk
- updated to 0.5.5

* Wed Dec 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.4-1mdk
- updated to 0.5.4

* Tue Sep 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1

* Tue Jul 25 2000 David Sugar <dyfet@ostel.com> 0.4.2-1mdk
- added changes suggested by Lenny Cartier <lenny@mandrakesoft.com>.
- made into a relocatable package.
 
* Mon Jul 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- use of CXXFLAGS="-DIXJ_CID=PHONE_CID" to fix problem with new kernel headers
- FHS2.1
- add buildrequires 
